textures/ut4_soho/sky
{
//	nocompress
	qer_editorimage textures/ut4_soho/soho_env/tp_sky2_ft.tga
	q3map_lightimage textures/ut4_soho/sky_clouds.tga
	q3map_sunExt .94 .85 .67 260 282 23 .5 16
	q3map_lightmapFilterRadius 0 16
	q3map_skylight 1400 5

	skyparms textures/ut4_soho/soho_env/tp_sky2 384 -
	//surfaceparm nodlight
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm sky	
}

textures/ut4_soho/glass_clear
{
	qer_editorimage textures/ut4_soho/tinfx.jpg
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm trans

	{
		map textures/ut4_soho/tinfx.jpg
		tcGen environment
		blendfunc GL_ONE GL_ONE
	}
}

textures/ut4_soho/ceiling_light_on
{
    qer_editorimage textures/ut4_soho/ceiling_light1.tga
    q3map_surfacelight 11500
	q3map_backsplash 0 0
    q3map_lightRGB 0.988 1 0.9098
    surfaceparm nomarks
    surfaceparm nolightmap
    {
        map textures/ut4_soho/ceiling_light1.tga
    }
}

textures/ut4_soho/apple_light
{
    qer_editorimage textures/ut4_soho/white.tga
    q3map_surfacelight 8000
	q3map_backsplash 0 0
    q3map_lightRGB 0.988 1 0.9098
    surfaceparm nomarks
    surfaceparm nolightmap
    {
        map textures/ut4_soho/white.tga
    }
}


textures/ut4_soho/button_light
{
    qer_editorimage textures/ut4_soho/red_blur.tga
    q3map_surfacelight 10000
	q3map_backsplash 0 0
    q3map_lightRGB 0.784 0 0
    surfaceparm nomarks
    surfaceparm nolightmap
    {
        map textures/ut4_soho/red_blur.tga
    }
}

textures/ut4_soho/Ceiling_shader
{
    q3map_lightimage textures/ut4_soho/Ceiling.tga
    qer_editorimage textures/ut4_soho/Ceiling.jpg
    q3map_surfacelight 100
    q3map_backsplash 0 0
    surfaceparm trans

    {
        map textures/ut4_soho/Ceiling.tga
    }
}

textures/ut4_soho/jump_arrow
{
    //q3map_lightimage textures/ut4_soho/plainglass.tga
    qer_editorimage textures/ut4_soho/plainglass.tga
    q3map_surfacelight 8000
    q3map_backsplash 0.5 8
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm trans
    surfaceparm nonsolid
    q3map_lightRGB 0.188 1 0.8235
    {
        map $whiteimage
	blendFunc GL_DST_COLOR GL_ZERO
	rgbGen const ( 0.188 1.00 0.8235 )
    }
    {
        map $whiteimage
	blendFunc GL_ONE GL_ONE
	rgbGen const ( 0.188 1.00 0.8235 )
    }
}

textures/ut4_soho/teleport_arrow
{
    //q3map_lightimage textures/ut4_soho/plainglass.tga
    qer_editorimage textures/ut4_soho/plainglass.tga
    q3map_surfacelight 18000
    q3map_backsplash 0.5 8
    surfaceparm nomarks
    surfaceparm nolightmap
    surfaceparm trans
    surfaceparm nonsolid
    q3map_lightRGB 0.188 1 0.8235
    {
        map $whiteimage
	blendFunc GL_DST_COLOR GL_ZERO
	rgbGen const ( 0.188 1.00 0.8235 )
    }
    {
        map $whiteimage
	blendFunc GL_ONE GL_ONE
	rgbGen const ( 0.188 1.00 0.8235 )
    }
}

textures/ut4_soho/windowblinds
{
	qer_editorimage textures/ut4_soho/White_blur.jpg
        surfaceparm trans		
	surfaceparm solid  
	cull none
        nopicmip

	{
		map textures/ut4_soho/White_blur.jpg
		//tcMod scale 2 2
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut4_soho/plant
{
	qer_editorimage textures/ut4_soho/green_blur.jpg
        surfaceparm trans		
	surfaceparm solid 
	surfaceparm playerclip
	surfaceparm ladder 
	cull none
        nopicmip

	{
		map textures/ut4_soho/green_blur.tga
		//tcMod scale 2 2
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ut4_soho/windows_flag
{
	qer_editorimage textures/ut4_soho/windows-logo.tga
        surfaceparm trans		
	surfaceparm solid 
	surfaceparm playerclip
	cull none
        nopicmip

	{
		map textures/ut4_soho/windows-logo.tga
		//tcMod scale 2 2
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
}

textures/ut4_soho/linux_flag
{
	qer_editorimage textures/ut4_soho/linux_logo.tga
        surfaceparm trans		
	surfaceparm solid 
	surfaceparm playerclip
	cull none
        nopicmip

	{
		map textures/ut4_soho/linux_logo.tga
		//tcMod scale 2 2
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
}

textures/ut4_soho/Flicklight
{
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	qer_editorimage textures/ut4_soho/ceiling_light1.tga
	{
		animMap 4 textures/ut4_soho/ceiling_light1.tga textures/ut4_soho/ceiling_light2.tga textures/ut4_soho/ceiling_light2.tga textures/ut4_soho/ceiling_light1.tga textures/ut4_soho/ceiling_light1.tga textures/ut4_soho/ceiling_light2.tga textures/ut4_soho/ceiling_light1.tga textures/ut4_soho/ceiling_light2.tga
		blendFunc GL_ONE GL_ONE
		//rgbGen wave square 0 1 0 0.03125
	}
}